<?php
$vacation_type = strip_tags($fields['field_absence_type']->content);
$pending = false;
switch ($vacation_type) {
  case 'Official vacation':
    $vacation_type = '<span class="official-vacation-word">Official Vacation</span>';
    break;
  case 'Personal vacation':
    $vacation_type = '<span class="personal-vacation-word">Personal Vacation</span>';
    break;
  case 'Vacation request':
    $vacation_type = '<span class="request-vacation-word">Vacation request</span>';
    $pending = true;
    break;
  case 'Working from home':
    $vacation_type = '<span  class="whome-vacation-word">Working From Home</span>';
    break;
  default:
    break;
}

$printed_date = check_if_today_tomorrow(strip_tags($fields['field_absence_day']->content));
$date = date('Y-m-d', strtotime(strip_tags($fields['field_absence_day']->content)));
$today = date('Y-m-d');
$outdated = FALSE;
if ($date < $today) {
  $outdated = TRUE;
}
?>

<div class="col-xs-12 vacation-single-row myvacation-single-row" <?php if ($outdated) print 'style = "opacity: 0.5;"  data-toggle="tooltip" data-placement="left" title="Outdated Vacation"' ?> >
  <?php
  if ($outdated) {
    echo '<i class="fa fa-check-square"></i>';
  }
  elseif ($pending) {
    echo '<i class="fa fa-exclamation-circle"></i>';
  }
  else {
    echo '<i class="fa fa-stop"></i>';
  }
  ?>


  <div class="col-xs-4 no-pad">
    <?php print $printed_date; ?>
  </div>
  <div class="col-xs-3 no-pad vacation-type">
    <?php print $vacation_type; ?>
  </div>
  <div class="col-xs-3 no-pad vacation-note">
    <?php print $fields['field_absence_desc']->content; ?>
  </div>
  <?php
  global $user;
  if (!in_array('administrator', array_values($user->roles))) {
    if ($pending) {
      echo '<span class="not-approved"><i class="fa fa-ban"></i>  Not approved</span>';
    }
  }
  ?>
</div>