<?php global $user;
$vacation_link = "";
$vacation_title = "";
if(is_admin()){
  $vacation_link = "vacations";
  $vacation_title = "Vacations";
}else{
  $vacation_link = "my-vacations";
  $vacation_title = "My Vacations";
}
?>
<div id="home-page">
  <div class="row home-page-row">
    <div class="col-xs-6">
      <a href="<?php print url($vacation_link); ?>">
        <i class="fa fa-coffee"></i><br/>
        <h4><?= $vacation_title; ?></h4>
        <p>Detailed info about your upcoming vacations.</p>
      </a>
    </div>
    <div class="col-xs-6">
      <a href="user/<?php print $user->uid; ?>">
        <i class="fa fa-user"></i><br/>
        <h4>Account Setting</h4>
        <p>Update your personal account and upload missed documents.</p>
      </a>
    </div>
  </div>
  <div class="row home-page-row">
    <div class="col-xs-6">
      <a href="#">
        <i class="fa fa-bar-chart"></i><br/>
        <h4>Effort Report</h4>
        <p>Customizable report, you can filter by project, user, task/phase and timeframe</p>
      </a>
    </div>
    <div class="col-xs-6">
      <a href="#">
        <i class="fa fa-user"></i><br/>
        <h4>Activity Log</h4>
        <p><p>A list of all registered time entries<br>filtered by client, project, user, task/phase category and timeframe</p></p>
      </a>
    </div>
  </div>
  <div class="row home-page-row">
    <div class="col-xs-6">
      <a href="#">
        <i class="fa fa-briefcase"></i><br/>
        <h4>Client Report</h4>
        <p><p>A detailed report on time spent working for a specific client,<br>filtered by user, task/phase and timeframe</p></p>
      </a>
    </div>
  </div>
</div>