<?php
$full_name = (isset($user_profile['field_user_full_name']['#object']->field_user_full_name['und'][0]['value']) ? $user_profile['field_user_full_name']['#object']->field_user_full_name['und'][0]['value'] : "Unknown");
$user_group = (isset($user_profile['field_user_group']['#object']->field_user_group['und'][0]['value']) ? $user_profile['field_user_group']['#object']->field_user_group['und'][0]['value'] : "Unknown");
$user_email = (isset($user_profile['field_user_full_name']['#object']->mail) ? $user_profile['field_user_full_name']['#object']->mail : "Unknown");
$tick_id = (isset($user_profile['field_user_full_name']['#object']->field_tick_user_id['und'][0]['value']) ? $user_profile['field_user_full_name']['#object']->field_tick_user_id['und'][0]['value'] : "Unknown");
$user_created_time = $user_profile['field_user_full_name']['#object']->created;
$user_name = $user_profile['field_user_full_name']['#object']->name;
$fullpath = base_path() . drupal_get_path('theme', 'time_tracking');
?>
<div class="col-xs-12 no-pad user-profile-page">
  <div class="panel panel-default">
    <div class="panel-body">
      <div class="row">
        <div class="col-md-12 lead">User profile<hr></div>
      </div>
      <div class="row">
        <div class="col-md-4 text-center user-profile-pic">
          <?php print get_user_picture(); ?>
        </div>
        <div class="col-md-8 user-details">
          <div class="row">
            <div class="col-md-12">
              <h2 class="only-bottom-margin full-name">
                <?php print $full_name; ?>
              </h2>
            </div>
          </div>
          <div class="row">
            <div class="col-md-6">
              <span class="text-muted">Tick id:</span> <?php print $tick_id; ?><br>
              <span class="text-muted">User name:</span> <?php print $user_name; ?><br>
              <span class="text-muted">Email:</span> <?php print $user_email; ?><br>
              <span class="text-muted">Group:</span> <?php print $user_group; ?><br>
              <small class="text-muted">Created: <?php print date("d-m-Y", $user_created_time); ?></small>
            </div>
            <div class="col-md-6">
              <img src="<?php print $fullpath; ?>/images/Dashboard_Timeneye.png" />
              <?php if(!empty(your_upcoming_vacation())){ ?>
              <p>Your upcoming vacation in <b><?= date("d-m-Y", strtotime(your_upcoming_vacation())) ?></b></p>
              <?php }else{
                echo '<div class="clearfix text-center">You don\'t have vactions!</div>';
              } ?>
            </div>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <hr><a class="btn btn-default pull-right" href="<?php print url("user/logout"); ?>"><i class="fa fa-sign-out"></i> Logout</a>
        </div>
      </div>
    </div>
  </div>
</div>
