<?php
$vacation_type = strip_tags($fields['field_absence_type']->content);
global $user;
switch ($vacation_type) {
  case 'Official vacation':
    $vacation_type = '<span class="official-vacation-word">Official Vacation</span>';
    break;
  case 'Personal vacation':
    $vacation_type = '<span class="personal-vacation-word">Personal Vacation</span>';
    break;
  case 'Vacation request':
    $vacation_type = '<span class="request-vacation-word">Vacation request</span>';
    break;
  case 'Working from home':
    $vacation_type = '<span  class="whome-vacation-word">Working From Home</span>';
    break;
  default:
    break;
}
$printed_date = check_if_today_tomorrow(strip_tags($fields['field_absence_day']->content));
$date = date('Y-m-d', strtotime(strip_tags($fields['field_absence_day']->content)));
$today = date('Y-m-d');
$outdated = FALSE;
if ($date < $today) {
  $outdated = TRUE;
}
?>
<div class="col-xs-12 vacation-single-row"  <?php if ($outdated) print 'style = "opacity: 0.5;"  data-toggle="tooltip" data-placement="left" title="Outdated Vacation"' ?> >
  <div class="col-xs-4 no-pad">
<?php print $printed_date; ?>
  </div>
  <div class="col-xs-3 no-pad vacation-type">
<?php print $vacation_type; ?>
  </div>
  <div class="col-xs-3 no-pad vacation-note">
<?php print $fields['field_absence_desc']->content; ?>
  </div>
    <?php if (in_array('administrator', array_values($user->roles))) { ?>
    <div class="col-xs-2 no-pad text-right vacation-delete">
    <?php if ($vacation_type == '<span class="request-vacation-word">Vacation request</span>'): ?>
        <a href="#" class="request-action approve-vacation" nid="<?php print $fields['nid']->raw; ?>" uid="<?php print $row->field_field_absence_user_id_1[0]['raw']['value']; ?>" date="<?php print strtotime($row->field_field_absence_day[0]['raw']['value']); ?> ">
          Approve
        </a>
        <a href="#" class="request-action reject-vacation" nid="<?php print $fields['nid']->raw; ?>" uid="<?php print $row->field_field_absence_user_id_1[0]['raw']['value']; ?>" date="<?php print strtotime($row->field_field_absence_day[0]['raw']['value']); ?> " reject="reject">Reject</a>
  <?php endif; ?>

      <a title="Delete this vacation" class="delete-vacation" href="#" nid="<?php print $fields['nid']->raw; ?>" uid="<?php print $row->field_field_absence_user_id_1[0]['raw']['value']; ?>" date="<?php print strtotime($row->field_field_absence_day[0]['raw']['value']); ?>">
        <i class="fa fa-trash fa-lg"></i>
      </a>
    </div>
<?php } ?>
</div>