<?php
$full_name = get_full_name_by_uid($row->field_field_absence_user_id[0]['raw']['value']);
$vacation_type = strip_tags($fields['field_absence_type']->content);

switch ($vacation_type) {
  case 'Official vacation':
    $vacation_type = '<span class="official-vacation-word">Official Vacation</span>';
    break;
  case 'Personal vacation':
    $vacation_type = '<span class="personal-vacation-word">Personal Vacation</span>';
    break;
  case 'Vacation request':
    $vacation_type = '<span class="request-vacation-word">Vacation request</span>';
    break;
  case 'Working from home':
    $vacation_type = '<span  class="whome-vacation-word">Working From Home</span>';
    break;
  default:
    break;
}

?>

<div class="col-xs-12 vacation-single-row">
  <div class="col-xs-4 no-pad">
    <?php print $full_name; ?>
  </div>
  <div class="col-xs-3 no-pad vacation-type">
    <?php print $vacation_type; ?>
  </div>
  <div class="col-xs-3 no-pad vacation-note">
    <?php print $fields['field_absence_desc']->content; ?>
  </div>
  <?php if (in_array('administrator', array_values($user->roles))) { ?>
    <div class="col-xs-2 no-pad text-right vacation-delete">
      <?php if ($vacation_type == '<span class="request-vacation-word">Vacation request</span>'): ?>
        <a href="#" class="request-action approve-vacation" nid="<?php print $fields['nid']->raw; ?>" uid="<?php print $row->field_field_absence_user_id[0]['raw']['value']; ?>" date="<?php print strtotime($row->field_field_absence_day[0]['raw']['value']); ?> ">
          Approve
        </a>
        <a href="#" class="request-action reject-vacation" nid="<?php print $fields['nid']->raw; ?>" uid="<?php print $row->field_field_absence_user_id[0]['raw']['value']; ?>" date="<?php print strtotime($row->field_field_absence_day[0]['raw']['value']); ?> " reject="reject">Reject</a>
      <?php endif; ?>

      <a title="Delete vacation for this user" class="delete-vacation" href="#" nid="<?php print $fields['nid']->raw; ?>" uid="<?php print $row->field_field_absence_user_id[0]['raw']['value']; ?>" date="<?php print strtotime($row->field_field_absence_day[0]['raw']['value']); ?>">
        <i class="fa fa-trash fa-lg"></i>
      </a>

    </div>
  <?php } ?>
</div>